/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
*/

#ifndef __AIR_MEDIAHUB_PLAYERMGR_H__
#define __AIR_MEDIAHUB_PLAYERMGR_H__

struct playermgr;

struct playermgr *playermgr_create(Evas_Object *win);
void playermgr_destroy(struct playermgr *m);

bool playermgr_play(struct playermgr *m, const char *path, int ms);
void playermgr_stop(struct playermgr *m);
bool playermgr_resume(struct playermgr *m);
bool playermgr_pause(struct playermgr *m);

int playermgr_get_duration(struct playermgr *m);
int playermgr_get_position(struct playermgr *m);
bool playermgr_set_position(struct playermgr *m, int ms,
		player_seek_completed_cb cb, void *data);
void playermgr_get_state(struct playermgr *m, player_state_e *state);
bool playermgr_set_completed_cb(struct playermgr *m,
		player_completed_cb cb, void *data);
const char *playermgr_get_path(struct playermgr *m);

#endif
