/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __AIR_MEDIAHUB_VIEW_DETAIL_H__
#define __AIR_MEDIAHUB_VIEW_DETAIL_H__

/* view */
#define VIEW_DETAIL "VIEW_DETAIL"

/* group */
#define GRP_DETAIL_VIEW "group.detail_view"

/* part */
#define PART_DETAIL_TITLE "part.detail_title"
#define PART_DETAIL_THUMBNAIL "part.detail_thumbnail"
#define PART_DETAIL_CONTENT_INFO "part.detail_content_info"
#define PART_DETAIL_THUMBNAIL_AREA "part.detail_thumbnail_area"
#define PART_DETAIL_PLAY_INFO "part.detail_play_info"
#define PART_PLAY_INFO_STATUS "part.play_info_status"

/* signal */
#define SIG_SHOW_THUMBNAIL "show,thumbnail"
#define SIG_HIDE_THUMBNAIL "hide,thumbnail"
#define SIG_SET_STATUS_PLAY "set,play"
#define SIG_SET_STATUS_PAUSE "set,pause"
#define SIG_SET_STATUS_STOP "set,stop"

/* images */
#define IMAGE_MINI_PLAYER_PLAY_NOR "ic_mini_player_play_nor.png"
#define IMAGE_MINI_PLAYER_PLAY_FOC "ic_mini_player_play_foc.png"
#define IMAGE_MINI_PLAYER_PAUSE_NOR "ic_mini_player_pause.png"
#define IMAGE_MINI_PLAYER_PAUSE_FOC "ic_mini_player_pause_foc.png"

/* style */
#define STYLE_BTN_PLAY_INFO "detail_btn_play_info"

#endif /* __AIR_MEDIAHUB_VIEW_DETAIL_H__ */
